/**
 * EntityClassMaterial2.java
 *
 * File generated from the medication2::EntityClassMaterial2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassMaterial2.
 *
 * 
 */

@XmlType(name = "EntityClassMaterial")
@XmlEnum
@XmlRootElement(name = "EntityClassMaterial2")
public enum EntityClassMaterial2 {
	@XmlEnumValue("MAT")
	MAT("MAT"),
	@XmlEnumValue("CHEM")
	CHEM("CHEM"),
	@XmlEnumValue("FOOD")
	FOOD("FOOD"),
	@XmlEnumValue("MMAT")
	MMAT("MMAT"),
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("HOLD")
	HOLD("HOLD"),
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("CER")
	CER("CER"),
	@XmlEnumValue("MODDV")
	MODDV("MODDV");
	
	private final String value;

    EntityClassMaterial2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassMaterial2 fromValue(String v) {
        for (EntityClassMaterial2 c: EntityClassMaterial2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
